Bug 856172 - engine: cannot raise cluster's compatibility level when we have running vm's
engine: cannot raise cluster's compatibility level when we have running vm's
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
high Severity urgent
: ---
: ---
Assigned To: Roy Golan
Ido Begun
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-11 07:29 EDT by Dafna Ron
Modified: 2015-09-22 09 EDT (History)
13 users (show)

See Also:
Fixed In Version: si20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:07:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (139.90 KB, application/x-xz)
2012-09-11 07:29 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-09-11 07:29:49 EDT
Created attachment 611729 [details]
log

Description of problem:

we are blocked by CanDoAction when trying to raise cluster's compatibility version with running vm's:

Error: Cannot update Cluster and change its compatibility version
if there are running VMs 

this blocks live upgrade. 

Version-Release number of selected component (if applicable):

si17

How reproducible:

100%

Steps to Reproduce:
1. create a 3.0 DC+Cluster+vm's
2. upgrade the vdsm 
3. change compatibility in cluster to 3.1
  
Actual results:

Error: Cannot update Cluster and change its compatibility version
if there are running VMs 

Expected results:

we should be able to raise the cluster's compatibility level

Additional info: engine log
Comment 4 Roy Golan 2012-09-16 00:39:30 EDT
http://gerrit.ovirt.org/#/c/7987/
Comment 20 Ido Begun 2012-10-14 08:25:34 EDT
OK - SI20

Using a 3.0 DC and 3.0 cluster, it's possible to update the cluster to 3.1 when VM's are running.

Note You need to log in before you can comment on or make changes to this bug.